#ifndef _TEST_CHECK_
#define _TEST_CHECK_

#define _GNU_SOURCE //for ffsll
#include <stdlib.h>
#include <string.h>
#include "constants.h"
#include "types.h"

/** AIM =
 * tells if our king is in check after a potential move (initSquare, destSquare)
 */


/** function to tell if a slider move results in a check, and so is illegal
 * this is actually quite light : we only have to check rooks, bishops and queens,
 * because situation happens after OUR piece move ;
 * so our king cannot be checked by opponent pawns or knights.
 */
int checkCheck(BoardState* bs, Bitboard initSquare, Bitboard destSquare);

#endif
