<?php

// delete the first blank lines in a file ; useful to my viewer -- for offline use only

$argName = getopt('f:');
// get provided name if present : (default output name is games.html, but can change)
$fileName = $argName['f'];
if ($fileName == "") {
	// include "configuration file" containing some default values,
	// among which the default html file name :
	include ("viewer_config.php");
	$fileName = $allVars["file"];
}

// open file in read mode :
$file = fopen($fileName, "rb");
// find first non-empty line in $file :
$line = "\n";
while ($line[0] == "\n" || $line[0] == "\r") $line = fgets($file);

// create new temp file to store corrected file :
$tfname = 'tmp_'.$fileName;
// open it in write mode :
$tfile = fopen($tfname, "wb");

// we now feed $tfile with lines, until end of $file met :
while ( ! feof($file) ) {
	fwrite($tfile, $line);
	$line = fgets($file);
}

// job ends, close both files now :
fclose($file);
fclose($tfile);

// we just need to delete initial file, and rename temp one :
unlink($fileName);
rename($tfname, $fileName);

?>

