#!/bin/sh

#script to execute viewer.php and then delemptylines.php
#(we get a clean HTML output -- but this is command line only)

#watch arguments : optional PGN file name can be given in $1
#                  optional HTML file name can be given in $2

cd ./sources/src_PHP/

#execute main program :
if [ $# -ge 1 ]; then

	if [ $# -ge 2 ]; then
		php viewer.php -f $1 > $2
		php delemptylines.php -f $2

	else
		php viewer.php -f $1 > games.html
		php delemptylines.php -f games.html

	fi

else
	php viewer.php > games.html
	php delemptylines.php -f games.html

fi

#move result up two levels :
if [ $# -ge 2 ]; then
	mv $2 ../../
else
	mv games.html ../../
fi

cd ../../

