#ifndef _MOVE_
#define _MOVE_

#include <stdlib.h>
#include "types.h"

/** AIM :
 * move pieces on a board embedded in the BoardState structure
 * the move itself is not altered, but the board is
 */


// also used in main.c, but header included, OK ;
// tells which kind of piece is on a square (0 if nothing)
int whichPiece(BoardState* bs, Bitboard square, int color);


// flags updated in main parser ; here we just do move on board
//..AND on each pieces' Bitboard concerned :
void play(BoardState* bs, Move* mv);

// undo move : same as function above, but reversed.
void takeback(BoardState* bs, Move* mv);

#endif
