<?php

// (kind of) viewer configuration file

$allVars = array(


// some defaults which can be changed by passing args to php (server, with '?' and '&') :

// the URL to PGN file
"file" => "games.pgn",
// displaymode = "btop", "bdown", "bleft", "bright", 'b' meanings "board" (which can be on any side)
"disp" => "bleft",
// piece style (see folder printings/pieces/)
"psty" => "merida",
// piece size = value from 10 to 100 by 10 ; any value if "wrenable_" on (see below)
"sqz" => 40,
// color of light squares - any hexadecimal
"lcol" => "FFFFF0",
// color of dark squares - any hexadecimal
"dcol" => "009999",


// and others which can only be set from here :

// autotime = T, in milliseconds
"autotime_" => 500,
// if enabled this param. will separate main (1) or ALL (2) variations from moves with \n and tabs
"varout_" => 2,

// NOTE : 1 or 0 in the following parameters will be treated as booleans,
// so you can also set TRUE for !=0, FALSE for 0

// need a crosstable ? (for closed tournaments with few players)
"crosstab_" => 1,
// enable writing image files on the server, to allow any piece size ?
"wrenable_" => 0,
// simplified control panel ? (no play/back 5, and no step into variations)
"simpctrp_" => 0,
//should the moves be clickable to get to them quickly ?
"movelks_" => 1,
// when kibitz is on, viewer can freely move pieces on board and takeback his variations
"kibitz_" => 1,
// should we use special font for figurines ?
"figurs_" => 1,
// special font (informant style) for nags, on/off :
"nagsfont_" => 1,
// provides a link to the PGN file at the end of HTML file
"pgnlink_" => 1,
// show a "javascript warning" if JS is disabled ; usually not needed for command-line version
"jswarn_" => 0,

);

?>

